
/*==============================================================*/
/* Database name:  MySql                                        */
/* the examples use test database                               */
/* Created by Lotfi BAGHLI on 9/8/2004                          */
/*==============================================================*/




#
# Structure de la table ex_1
#

DROP TABLE IF EXISTS ex_1;
CREATE TABLE ex_1 (
  `id` int(11) NOT NULL auto_increment,
  `nom` tinytext NOT NULL,
  `prenom` tinytext NOT NULL,
  `date_naissance` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='ma premiere table' AUTO_INCREMENT=1 ;

#
# Contenu de la table ex_1
#

INSERT INTO ex_1 VALUES (1, 'Dupont', 'Denis', '1977-09-18');
INSERT INTO ex_1 VALUES (2, 'Dupont', 'Marie', '1978-02-09');
INSERT INTO ex_1 VALUES (3, 'Sheen', 'Sylvain', '1970-12-22');
INSERT INTO ex_1 VALUES (4, 'Sand', 'Kamal', '1971-05-30');
INSERT INTO ex_1 VALUES (5, 'Fisher', 'Samia', '1973-10-28');



#
# Structure de la table ex_2_blob
#

DROP TABLE IF EXISTS ex_2_blob;
CREATE TABLE ex_2_blob (
  `id` tinyint(11) NOT NULL auto_increment,
  `nom` tinytext NULL,
  `description` LONGBLOB NULL,
  `image` LONGBLOB NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Contenu de la table ex_2_blob
#
# be carfull, give full path !
#

INSERT INTO ex_2_blob VALUES (1, 'graph', LOAD_FILE('C:\\users\\baghli\\c\\builder\\MySQL\\MyExampleSQL\\graph.txt'), LOAD_FILE('C:\\users\\baghli\\c\\builder\\MySQL\\MyExampleSQL\\graph.bmp'));
INSERT INTO ex_2_blob VALUES (2, 'masvect', LOAD_FILE('C:\\users\\baghli\\c\\builder\\MySQL\\MyExampleSQL\\masvect.txt'), LOAD_FILE('C:\\users\\baghli\\c\\builder\\MySQL\\MyExampleSQL\\masvect.bmp'));
INSERT INTO ex_2_blob VALUES (3, 'tore', LOAD_FILE('C:\\users\\baghli\\c\\builder\\MySQL\\MyExampleSQL\\tore.txt'), LOAD_FILE('C:\\users\\baghli\\c\\builder\\MySQL\\MyExampleSQL\\tore.bmp'));
